Subject: Re: Attributes within PK certs? [draft-ietf-pkix-ac509prof-00.txt]

From: "Bob Blakley" <[email-masked]>
Date: Fri, 14 May 1999 17:29:09 -0500

Russ,

>Steve Kent's Rule of Revocation: "The effective lifetime of a certificate
>is inversely proportional to the square of the number of attributes."
>
>I agree with Steve's rule.

Steve's rule is actually not correct. The correct formula can actually be
easily demonstrated.

Assume that a certificate has "n" attributes, all with pairwise mutually
independent lifetimes.

Assume that the certificate's key's lifetime starts at t=0 and ends at t=E,
where E>0.

Look at attribute number 1.  Its lifetime ends at t1.  This divides the
timeline into 2 pieces
(The interval from t=0 to t=t1, and the interval from t=t1 to t=E.)  On
average
each of these pieces will be the same length - that is, half the length of the
interval from
t=0 to t=E.

Now look at attribute number 2.  With probability 1, it doesn't expire exactly
at t1.  Instead,
it expires at some other time t2.  This adds one more interval to the
timeline; it doesn't matter,
so let's say attribute 2 expires first.  This divides the timeline into three
segments -
t=0 to t=t2, t=t2 to t=t1, and t=t1 to t=E.  On average, these three segments
will have equal
lengths, each one-third of the length of the interval from t=0 to t=E.

Continue the process; each new attribute results in exactly one more segment,
and (assuming
independent lifetimes) all segments on average have equal length.  This means
that
the real formula is

    lifetime of cert with attributes = lifetime of cert without attributes *
(1/n)

    where n is the number of attributes with pairwise mutually independent
expiry intervals.

Hence I propose Bob & Steve's (corrected) rule of attribute certificate
lifetimes:

"The effective lifetime of a certificate is inversely proportional to the
number of attributes
in the certificate, if all attributes' lifetimes are pairwise mutually
independent."

--bob

Bob Blakley ([email-masked])
Chief Scientist, Dascom

---

From: "Bob Blakley" <[email-masked]>
Date: Mon, 17 May 1999 16:19:21 -0500

Yosi,

For the record, I'm in complete agreement with Russ here.

I don't know of any reason why the X509v3 format couldn't
be used for certs with short lifetimes, or with no key, or both.  They
wouldn't
be "regular" certs, but that's the point.

--bob

-----Original Message-----
From: Russ Housley <[email-masked]>
To: [email-masked] <[email-masked]>
Cc: [email-masked] <[email-masked]>
Date: Monday, May 17, 1999 3:22 PM
Subject: Re: Attributes within PK certs? [draft-ietf-pkix-ac509prof-00.txt]

>There are many cases where attributes are short lived.  For example, a web
>server may grant access to a particular page only after a previous page is
>viewed.  This has nothing to do with the lifetime of the X.509 identity
>certificate, and there is no reason to duplicate the public key.
>
>Russ
>
>At 01:07 PM 5/16/99 +0300, [email-masked] wrote:
>>
>>
>>Hello,
>>
>>I have been reading this thread about AttributeCertificates and I can't
>>understand why the X509v3  can't serve for issuing short lived
>>certificates?
>>Why is it neccessary to define new format for AC which does not include a
>>public key, but just points to it?
>>
>>Best, Yosi Mass,
>>IBM Haifa Research Lab
>>
>>
>>
>>"Bob Blakley" <[email-masked]> on 05/15/99 01:29:09 AM
>>
>>Please respond to "Bob Blakley" <[email-masked]>
>>
>>To:   "Linn, John" <[email-masked]>, "Russ Housley"
>>      <[email-masked]>
>>cc:   [email-masked]
>>Subject:  Re: Attributes within PK certs?
>>      [draft-ietf-pkix-ac509prof-00.txt]
>>
>>
>>
>>
>>
>>Russ,
>>